<refentry id="nonterminal.element" revision='EBNF'>
<?dbhtml filename="nonterminal.html"?>
<refentryinfo>
<pubdate>$Date: 2004-02-23 22:25:58 +0800 (Mon, 23 Feb 2004) $</pubdate>
<releaseinfo>$Revision: 3457 $</releaseinfo>
</refentryinfo>

<refmeta>
<indexterm><primary>elements</primary>
<secondary>nonterminal</secondary></indexterm>
<refentrytitle>nonterminal</refentrytitle>
<refmiscinfo>Element</refmiscinfo>
</refmeta>
<refnamediv>
<refname>nonterminal</refname>
<refpurpose>&nonterminal.purpose;</refpurpose>
</refnamediv>

&nonterminal.synopsis.gen;
<refsect1 condition='ref.description'><title>Description</title>

<para>This element is only available if you are using the EBNF Module.</para>

<para>A <sgmltag>NonTerminal</sgmltag> is a symbol in an EBNF
<sgmltag>Production</sgmltag> that represents a portion of the
grammar.</para>

&nonterminal.parents.gen;

</refsect1>

<refsect1 condition='ref.elem.attrdesc'><title>Attributes</title>

<variablelist>
<varlistentry><term>def</term>
<listitem>
<para revision="EBNF">The <sgmltag class="attribute">def</sgmltag> attribute
contains a URI reference that points to a <sgmltag>production</sgmltag> where
the <sgmltag>nonterminal</sgmltag> is defined.</para>

<para>Note that this <emphasis>is not</emphasis>
an IDREF, it is a URI reference (as, for example, are
<sgmltag class="attribute">href</sgmltag> attributes on HTML
<sgmltag>a</sgmltag> elements). This is necessary because references to
non-terminals might need to cross document boundaries.</para>
</listitem>
</varlistentry>
</variablelist>

</refsect1>
</refentry>

